Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 890517 - PRD35 - [RFE] add gluster profile support
Summary: PRD35 - [RFE] add gluster profile support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.6.0
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard: gluster
Depends On: 1173815 1181032
Blocks: 915537 975300 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2012-12-27 13:14 UTC by Bala.FA
Modified: 2016-02-10 18:59 UTC (History)
23 users (show)

Fixed In Version: vt1.3
Doc Type: Enhancement
Doc Text:
With this update, glusterVolumeProfileInfo is now supported as part of the Gluster profile support.
Clone Of:
: 975300 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:51:09 UTC
oVirt Team: Gluster
Target Upstream Version:
sabose: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 7436 None None None Never

Description Bala.FA 2012-12-27 13:14:11 UTC
As glusterVolumeProfileStart and glusterVolumeProfileStop verbs are available in vdsm, add glusterVolumeProfileInfo verb to complete this feature

Comment 2 Bala.FA 2012-12-28 07:58:18 UTC
Patch submitted at https://gerrit.eng.lab.tlv.redhat.com/#/c/3926/

Comment 4 Gowrishankar Rajaiyan 2013-05-21 11:32:56 UTC
Please provide steps to verify.

Comment 5 Bala.FA 2013-05-28 12:20:09 UTC
The work at engine is stil pending. Moving back to ASSIGNED

Comment 8 Sahina Bose 2014-06-22 04:19:09 UTC
Patches for profile support in engine are merged upstream

Comment 9 SATHEESARAN 2014-12-10 02:59:08 UTC
Sahina, 

Is this feature is exposed on RHEVM webadmin portal ?
Could you provide steps to verify this bug with RHEVM 3.5 ?

Comment 10 Sahina Bose 2014-12-10 05:24:47 UTC
Sas,

There should be a "Profiling" button available to you on on the Volumes sub-tab. You can use this to start profiling. A sub-menu is available to view the Profiling details.
Please check feature page - http://www.ovirt.org/Features/Gluster_Volume_Performance_Statistics#Profile, for more details

Comment 11 SATHEESARAN 2014-12-13 08:49:06 UTC
This bug couldn't be verified because of this bug - https://bugzilla.redhat.com/show_bug.cgi?id=1173815

RHSS 3.0 Update3 nodes couldn't be added to gluster cluster of compatibility 3.5 - to verify this bug

Comment 12 SATHEESARAN 2014-12-16 06:39:54 UTC
This bug can't be verified for RHEVM 3.5 because of comment11
Can we move this bug to RHEVM 3.6 ?

Comment 13 Scott Herold 2015-01-02 15:19:15 UTC
Moving to RHEV 3.6 due to Comment 11

Comment 14 Julie 2015-02-03 05:46:45 UTC
Hi Sahina,
If this bug requires doc text for errata release, please provide draft text in the doc text field in the following format:

Cause:
Consequence:
Fix:
Result:

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 16 errata-xmlrpc 2015-02-11 17:51:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.